Subject: Re: bug#57105: Naming of emacs-news-mode vs etc-authors-mode

From: Eli Zaretskii <[email-masked]>
Date: Wed, 10 Aug 2022 14:25:58 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Wed, 10 Aug 2022 02:47:05 -0700
> 
> Severity: wishlist
> 
> It is kind of unfortunate that emacs-news-mode and etc-authors-mode
> don't share the same prefix.  Could we change them to use the same one?
> Either one or the other would need to be renamed.
> 
> The benefit of the "emacs" prefix is that it is more self-explanatory.
> 
> The benefit of the "etc" prefix is that it feels more "internal" and
> makes it clear that these modes are not really intended for general use.
> 
> (It is okay to rename `etc-authors-mode' if we want to as no one will
> realistically be relying on it for serious work.)

You want to rename etc-authors-mode to emacs-authors-mode?  I'm fine
with that.  But in general, unlike NEWS, AUTHORS have very different
structures in different projects, so we shouldn't pretend that the
mode is applicable outside of the Emacs project.